# BEGIN SourceDeps(oneline):
BuildRequires: libX11-devel libXpm-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		netrek-client-cow
Version:	3.3.2
Release:	alt1_3
Summary:	Netrek client
License:	MIT
Group:		Games/Other
Source0:	http://netrek.org/files/COW/%{name}-%{version}.tar.gz
Source1:	%{name}.6
URL:		http://www.netrek.org/

BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(imlib2)
BuildRequires:	pkgconfig(xxf86vm)
BuildRequires:	libgmp-devel
Source44: import.info


%description
This is a client for the multiplayer game of Netrek, supporting sound,
color bitmaps, and recording and playback of games. The game itself has 
existed since 1988, and had a solid player-base, including some 
people who have been playing for nearly as long as the game has existed.


%prep
%setup -q


%build
# Disable preprocessor line numbers to fix gmp detection
%configure CPPFLAGS=-P

#Package doesn't support concurrent make's yet. Forcing "-j1".
make

%install
%makeinstall_std

#Remove execute on .desktop file. Reported upstream.
chmod -x %{buildroot}%{_datadir}/applications/%{name}.desktop
install -p -m 0644 %{SOURCE1} -D %{buildroot}/%{_mandir}/man6/%{name}.6

%files
# "COPYING" is a list of authors, and not the GPL license.
%doc ChangeLog COPYING README.html README.3.01 TODO *.DOC XTREKRC.example
%doc cow.html newbie.html cow.css stars.gif netrekrc.example
%{_gamesbindir}/%{name}
%{_datadir}/pixmaps/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man6/*.6*
%doc --no-dereference copyright.h copyright2.h


%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 3.3.2-alt1_3
- update by mgaimport

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 3.3.2-alt1_2
- update by mgaimport

* Fri Jun 12 2020 Igor Vlasenko <viy@altlinux.ru> 3.3.2-alt1_1
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 3.3.1-alt1_9
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 3.3.1-alt1_8
- update by mgaimport

* Sat Jul 14 2018 Igor Vlasenko <viy@altlinux.ru> 3.3.1-alt1_7
- update by mgaimport

* Tue Jun 07 2016 Igor Vlasenko <viy@altlinux.ru> 3.3.1-alt1_6
- converted for ALT Linux by srpmconvert tools

